=== debian/control ===
Source: ceph-kclient
Section: admin
Priority: optional
Maintainer: Sage Weil <sage@newdream.net>
Standards-Version: 3.7.2
Architecture: all

Package: ceph-kclient-source
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, make
Description: source for client kernel module for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is the
 Ceph client source package for building the client kernel module.
 .
 This native kernel client is faster and is more robust than the 
 FUSE-based client (ceph-fuse).  However, you need to compile the
 module against your running kernel and will need root privileges
 to load it.
